Create new http transport configuration on a tenant
Add http transport configuration to tenant
Required permissions: WEBHOOK
post/tenants/{tenantUid}/httptransports
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
Transport Request Schema
namestringRequired
passwordstringOptional
securityTypestring · enumRequiredPossible values:
tokenstringOptional
urlstringRequired
usernamestringOptional
httpTransportUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
200
Transport response
application/json
Transport Response Schema
namestringRequired
passwordstringRequired
securityTypestring · enumRequiredPossible values:
tokenstringRequired
httpTransportUidstringRequiredPattern:
^[A-Za-z0-9-_]+urlstringRequired
usernamestringRequired
post/tenants/{tenantUid}/httptransports
POST /v2/tenants/{tenantUid}/httptransports HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 169
{
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"url": "text",
"username": "text",
"httpTransportUid": "text"
}200
Transport response
{
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"httpTransportUid": "text",
"url": "text",
"username": "text"
}Last updated
Was this helpful?

